---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t004.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2630, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54B70, symBinAddr: 0x9320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56AB0, symBinAddr: 0xB260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56EA0, symBinAddr: 0xB650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57E40, symBinAddr: 0xC5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57E50, symBinAddr: 0xC600, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x546B0, symBinAddr: 0x90A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x546B4, symBinAddr: 0x90A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x546B8, symBinAddr: 0x90A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54800, symBinAddr: 0x90B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x548B8, symBinAddr: 0x9168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x548BC, symBinAddr: 0x916C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x548C0, symBinAddr: 0x9170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x548C4, symBinAddr: 0x9174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x548C8, symBinAddr: 0x9178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x548D0, symBinAddr: 0x9180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x548E0, symBinAddr: 0x9190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x548E8, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x548F0, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x548F8, symBinAddr: 0x91A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54900, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54908, symBinAddr: 0x91B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54950, symBinAddr: 0x91C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x549F0, symBinAddr: 0x9260, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x54A90, symBinAddr: 0x9300, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54A98, symBinAddr: 0x9308, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54AA0, symBinAddr: 0x9310, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x12B0, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1200, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1100, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1330, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x13F0, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1610, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x16B0, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x17C0, symSize: 0x150 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1910, symSize: 0x30 }
  - { offsetInCU: 0x9F5F, offset: 0x9F5F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1940, symSize: 0x150 }
  - { offsetInCU: 0xA157, offset: 0xA157, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1A90, symSize: 0x160 }
  - { offsetInCU: 0xA417, offset: 0xA417, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1BF0, symSize: 0x4A0 }
  - { offsetInCU: 0xA68A, offset: 0xA68A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2090, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A5, offset: 0xA8A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2240, symSize: 0xA0 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x22E0, symSize: 0x20 }
  - { offsetInCU: 0xA9AB, offset: 0xA9AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2300, symSize: 0x20 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2320, symSize: 0x20 }
  - { offsetInCU: 0xABB5, offset: 0xABB5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2340, symSize: 0x1A0 }
  - { offsetInCU: 0xAED1, offset: 0xAED1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x24E0, symSize: 0x150 }
  - { offsetInCU: 0xB08E, offset: 0xB08E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x28D0, symSize: 0x1D0 }
  - { offsetInCU: 0xB38A, offset: 0xB38A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2AA0, symSize: 0x80 }
  - { offsetInCU: 0xB453, offset: 0xB453, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2B20, symSize: 0x6C0 }
  - { offsetInCU: 0xBFC9, offset: 0xBFC9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4E0, symBinAddr: 0x5800, symSize: 0xB0 }
  - { offsetInCU: 0xC040, offset: 0xC040, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x31E0, symSize: 0x70 }
  - { offsetInCU: 0xC0FC, offset: 0xC0FC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3250, symSize: 0xA0 }
  - { offsetInCU: 0xC227, offset: 0xC227, size: 0x8, addend: 0x0, symName: _nsk_jvmti_showPossessedCapabilities, symObjAddr: 0x5890, symBinAddr: 0x32F0, symSize: 0x740 }
  - { offsetInCU: 0xC5F8, offset: 0xC5F8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3A30, symSize: 0x40 }
  - { offsetInCU: 0xC6EE, offset: 0xC6EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3A70, symSize: 0x2B0 }
  - { offsetInCU: 0xCA94, offset: 0xCA94, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3D20, symSize: 0xC0 }
  - { offsetInCU: 0xCBDA, offset: 0xCBDA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3DE0, symSize: 0x10 }
  - { offsetInCU: 0xCC9C, offset: 0xCC9C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3DF0, symSize: 0x240 }
  - { offsetInCU: 0xCF85, offset: 0xCF85, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x4030, symSize: 0x10 }
  - { offsetInCU: 0xCFE2, offset: 0xCFE2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x4040, symSize: 0x5E0 }
  - { offsetInCU: 0xD787, offset: 0xD787, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xB050, symBinAddr: 0x5370, symSize: 0x320 }
  - { offsetInCU: 0xD8D3, offset: 0xD8D3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA300, symBinAddr: 0x4620, symSize: 0x10 }
  - { offsetInCU: 0xD930, offset: 0xD930, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM02_em02t004_nativeMethod1, symObjAddr: 0xA310, symBinAddr: 0x4630, symSize: 0x20 }
  - { offsetInCU: 0xD978, offset: 0xD978, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM02_em02t004_nativeMethod2, symObjAddr: 0xA330, symBinAddr: 0x4650, symSize: 0x20 }
  - { offsetInCU: 0xD9C0, offset: 0xD9C0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM02_em02t004_nativeMethod3, symObjAddr: 0xA350, symBinAddr: 0x4670, symSize: 0x20 }
  - { offsetInCU: 0xDA08, offset: 0xDA08, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA370, symBinAddr: 0x4690, symSize: 0x180 }
  - { offsetInCU: 0xDAF0, offset: 0xDAF0, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA4F0, symBinAddr: 0x4810, symSize: 0x20 }
  - { offsetInCU: 0xDB3C, offset: 0xDB3C, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA510, symBinAddr: 0x4830, symSize: 0x140 }
  - { offsetInCU: 0xDC8A, offset: 0xDC8A, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA650, symBinAddr: 0x4970, symSize: 0xE0 }
  - { offsetInCU: 0xDD8E, offset: 0xDD8E, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA730, symBinAddr: 0x4A50, symSize: 0xE0 }
  - { offsetInCU: 0xDE6F, offset: 0xDE6F, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA810, symBinAddr: 0x4B30, symSize: 0x20 }
  - { offsetInCU: 0xDEF1, offset: 0xDEF1, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA830, symBinAddr: 0x4B50, symSize: 0x20 }
  - { offsetInCU: 0xDF5D, offset: 0xDF5D, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA850, symBinAddr: 0x4B70, symSize: 0x20 }
  - { offsetInCU: 0xDFBE, offset: 0xDFBE, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xA870, symBinAddr: 0x4B90, symSize: 0x20 }
  - { offsetInCU: 0xE01F, offset: 0xE01F, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xA890, symBinAddr: 0x4BB0, symSize: 0x20 }
  - { offsetInCU: 0xE080, offset: 0xE080, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xA8B0, symBinAddr: 0x4BD0, symSize: 0x20 }
  - { offsetInCU: 0xE102, offset: 0xE102, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xA8D0, symBinAddr: 0x4BF0, symSize: 0x20 }
  - { offsetInCU: 0xE19A, offset: 0xE19A, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xA8F0, symBinAddr: 0x4C10, symSize: 0x20 }
  - { offsetInCU: 0xE1F0, offset: 0xE1F0, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xA910, symBinAddr: 0x4C30, symSize: 0x20 }
  - { offsetInCU: 0xE25C, offset: 0xE25C, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xA930, symBinAddr: 0x4C50, symSize: 0x20 }
  - { offsetInCU: 0xE2D3, offset: 0xE2D3, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xA950, symBinAddr: 0x4C70, symSize: 0x20 }
  - { offsetInCU: 0xE31E, offset: 0xE31E, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xA970, symBinAddr: 0x4C90, symSize: 0x20 }
  - { offsetInCU: 0xE37F, offset: 0xE37F, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xA990, symBinAddr: 0x4CB0, symSize: 0x20 }
  - { offsetInCU: 0xE3E6, offset: 0xE3E6, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xA9B0, symBinAddr: 0x4CD0, symSize: 0x20 }
  - { offsetInCU: 0xE441, offset: 0xE441, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xA9D0, symBinAddr: 0x4CF0, symSize: 0x20 }
  - { offsetInCU: 0xE49C, offset: 0xE49C, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xA9F0, symBinAddr: 0x4D10, symSize: 0x20 }
  - { offsetInCU: 0xE4D3, offset: 0xE4D3, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xAA10, symBinAddr: 0x4D30, symSize: 0x20 }
  - { offsetInCU: 0xE50A, offset: 0xE50A, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xAA30, symBinAddr: 0x4D50, symSize: 0x20 }
  - { offsetInCU: 0xE54D, offset: 0xE54D, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xAA50, symBinAddr: 0x4D70, symSize: 0x20 }
  - { offsetInCU: 0xE5C0, offset: 0xE5C0, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xAA70, symBinAddr: 0x4D90, symSize: 0x2F0 }
  - { offsetInCU: 0xE9CD, offset: 0xE9CD, size: 0x8, addend: 0x0, symName: _cbNewNativeMethodBind, symObjAddr: 0xAD60, symBinAddr: 0x5080, symSize: 0x2F0 }
  - { offsetInCU: 0xEDDA, offset: 0xEDDA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB370, symBinAddr: 0x5690, symSize: 0x170 }
  - { offsetInCU: 0xEF8A, offset: 0xEF8A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB590, symBinAddr: 0x58B0, symSize: 0x36A }
...
